Rails.application.routes.draw do
  get 'parents', to: 'parents#index', as: :list_parents
  get 'parents/new', to: 'parents#new', as: :new_parent
  post 'parents/new', to: 'parents#add', as: :add_parent
  get 'parents/edit/:id', to: 'parents#edit', as: :edit_parent
  get 'parents/:id', to: 'parents#show', as: :parent
  post 'parents/:id', to: 'parents#update', as: :update_parent

  post 'parenthood/:parent/:child', to: 'relationships#add_child', as: :add_parenthood
  delete 'parenthood/:parent/:child', to: 'relationships#del_child', as: :del_parenthood

  get 'children', to: 'children#index', as: :list_children
  get 'children/lookup', to: 'children#lookup', as: :lookup_child

  get 'staff', to: 'staff#index', as: :list_staff

  get 'users', to: 'users#index', as: :list_users

  get 'pages', to: 'pages#index', as: :list_pages
  get 'page/(:id)', to: 'pages#page', as: :page_person
  post 'page', to: 'pages#send_page', as: :send_page

  root to: 'docs#index'
end
